Redmine - Defect #1165

filtering issue problem
2008-05-02 18:17 - Sergio Freire

Status: Closed Start date: 2008-05-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 0.7.1

Resolution: Fixed Affected version:

Description

Hello.

Im using redmine 0.7, which was migrated from a previous 0.5.0 version.

When | go to Issues and filter by "Status => All", it gives an internal error.

Looking at mongrel logs, | can see the generated SQL:

SELECT count (DISTINCT issues.id) AS count_all FROM issues LEFT OUTER JOIN issue_statuses ON issue
_statuses.id = issues.status_id LEFT OUTER JOIN projects ON projects.id = issues.project_id WHE
RE (issues.project_id = 17 AND (issues.status_id IS NOT NULL AND issues.status_id <> ''))

Since status_id is an integer, | think the expression is not ok at the end.
In that case, it should maybe even not be there.

Maybe it has to do with this line in the Redmine code?
@issue_count = Issue.count(:include => [:status, :project], :conditions => @query.statement)

Im using a posgresql 8.2.4 backend on a Centos 5 (RHAS5)

History

#1 - 2008-05-02 18:25 - Sergio Freire

The machine is using the postgres updated gem.

-bash-3.1$ gem list | grep pos
postgres (0.7.9.2008.01.28, 0.7.1)

#2 - 2008-05-02 19:00 - Jean-Philippe Lang
- Category set to Issues

- Status changed from New to Resolved

- Target version set to 0.7.1

- Resolution set to Fixed

This problem was fixed in r1379 and will be fixed in 0.7.1 that should be released tomorrow.

#3 - 2008-05-04 15:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Fixed in 0.7.1 release.
